package com.duowenlvshi.duowenlszp.model.Job.entity;

import java.io.Serializable;
import java.util.Date;

public class Job implements Serializable {
    private static final long serialVersionUID = 1L;
    private String jobId;

    /*律师id*/
    private String lawyerId;
    /*岗位*/
    private String post;
    /*邮箱*/
    private String email;
    /*年薪*/
    private String yearlysalary;
    /*城市*/
    private String city;
    /*城市Code*/
    private String cityCode;
    /*性别*/
    private String sex;
    /*执业年限*/
    private String yearsofpractice;
    /*业务类型*/
    private String businesstype;
    /*专长*/
    private String expertise;
    /*岗位职责*/
    private String jobresponsibilities;
    /*岗位要求*/
    private String jobrequirements;
    /*招聘简介*/
    private String recruitmentprofile;
    /*1上架 2下架*/
    private String upperOrLower;

    private Date createdate;

    private Date updatedate;

    private String isvalid;

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getLawyerId() {
        return lawyerId;
    }

    public void setLawyerId(String lawyerId) {
        this.lawyerId = lawyerId == null ? null : lawyerId.trim();
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post == null ? null : post.trim();
    }

    public String getYearlysalary() {
        return yearlysalary;
    }

    public void setYearlysalary(String yearlysalary) {
        this.yearlysalary = yearlysalary == null ? null : yearlysalary.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public String getYearsofpractice() {
        return yearsofpractice;
    }

    public void setYearsofpractice(String yearsofpractice) {
        this.yearsofpractice = yearsofpractice == null ? null : yearsofpractice.trim();
    }

    public String getBusinesstype() {
        return businesstype;
    }

    public void setBusinesstype(String businesstype) {
        this.businesstype = businesstype == null ? null : businesstype.trim();
    }

    public String getExpertise() {
        return expertise;
    }

    public void setExpertise(String expertise) {
        this.expertise = expertise == null ? null : expertise.trim();
    }

    public String getJobresponsibilities() {
        return jobresponsibilities;
    }

    public void setJobresponsibilities(String jobresponsibilities) {
        this.jobresponsibilities = jobresponsibilities == null ? null : jobresponsibilities.trim();
    }

    public String getJobrequirements() {
        return jobrequirements;
    }

    public void setJobrequirements(String jobrequirements) {
        this.jobrequirements = jobrequirements == null ? null : jobrequirements.trim();
    }

    public String getRecruitmentprofile() {
        return recruitmentprofile;
    }

    public void setRecruitmentprofile(String recruitmentprofile) {
        this.recruitmentprofile = recruitmentprofile == null ? null : recruitmentprofile.trim();
    }
    public String getUpperOrLower() {
        return upperOrLower;
    }

    public void setUpperOrLower(String upperOrLower) {
        this.upperOrLower = upperOrLower;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(String isvalid) {
        this.isvalid = isvalid == null ? null : isvalid.trim();
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}